import * as ts from 'typescript/lib/tsserverlibrary';
import * as lsp from 'vscode-languageserver';
/**
 * Convert ts.CompletionEntry to LSP Completion Item.
 * @param entry completion entry
 * @param position position where completion is requested.
 */
export declare function tsCompletionEntryToLspCompletionItem(entry: ts.CompletionEntry, position: lsp.Position): lsp.CompletionItem;
