import { IConnection, TextDocumentIdentifier } from 'vscode-languageserver';
import { TextDocuments } from './documents';
export declare class ErrorCollector {
    private documents;
    private connection;
    private initialDelay;
    private nextDelay;
    private timer;
    constructor(documents: TextDocuments, connection: IConnection, initialDelay?: number, nextDelay?: number);
    requestErrors(...documents: TextDocumentIdentifier[]): void;
    private sendErrorsFor;
}
